Class Specialization
Packed Pair
Stores two arbitrary objects. Saves memory by disabling memory alignment.

Pair

Packed Pair

Pair<T1, T2, Compressed>
Include Headers
seqan/basic.h
Parameters

T1 | The type of the first object.
T2 | The type of the second object.

Remarks
Memory access could be slower. Direct access to members by pointers is not allowed on all platforms.
Specialization of
Pair
Data Members

i1 | T1 object
i2 | T2 object

Member Functions

Pair | Constructor
Pair | Constructor

Functions

getSeqNo | Returns the sequence number of a position. (Pair)
getSeqOffset | Returns the local sequence offset of a position. (Pair)
posGlobalize | Converts a local/global to a global position. (Pair)
posLocalize | Converts a local/global to a local position. (Pair)
posLocalToX | Converts a local to a local/global position. (Pair)
posLocalToX | Converts a local to a local/global position. (Pair)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51